Upstream information

CVE-2018-0486 at MITRE

Description

Shibboleth XMLTooling-C before 1.6.3, as used in Shibboleth Service Provider before 2.6.0 on Windows and other products, mishandles digital signatures of user attribute data, which allows remote attackers to obtain sensitive information or conduct impersonation attacks via a crafted DTD.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
SUSE Bugzilla entries: 1075975 [RESOLVED / FIXED], 1083247 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • libxmltooling-devel >= 1.6.4-1.26
  • libxmltooling7 >= 1.6.4-1.26
  • xmltooling-schemas >= 1.6.4-1.26
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libxmltooling-devel
SUSE Linux Enterprise Server 12 SP2
  • libxmltooling6 >= 1.5.6-3.6.1
  • xmltooling >= 1.5.6-3.6.1
  • xmltooling-schemas >= 1.5.6-3.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-107
SUSE-SLE-SERVER-12-SP2-2018-488
SUSE Linux Enterprise Server 12 SP3
  • libxmltooling6 >= 1.5.6-3.6.1
  • xmltooling >= 1.5.6-3.6.1
  • xmltooling-schemas >= 1.5.6-3.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-107
SUSE-SLE-SERVER-12-SP3-2018-488
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libxmltooling6 >= 1.5.6-3.6.1
  • xmltooling >= 1.5.6-3.6.1
  • xmltooling-schemas >= 1.5.6-3.6.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-107
SUSE-SLE-RPI-12-SP2-2018-488
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libxmltooling-devel >= 1.5.6-3.6.1
  • xmltooling >= 1.5.6-3.6.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-107
SUSE-SLE-SDK-12-SP2-2018-488
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libxmltooling-devel >= 1.5.6-3.6.1
  • xmltooling >= 1.5.6-3.6.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-107
SUSE-SLE-SDK-12-SP3-2018-488
openSUSE Leap 42.2
  • libxmltooling-devel >= 1.5.6-3.3.1
  • libxmltooling6 >= 1.5.6-3.3.1
  • libxmltooling6-debuginfo >= 1.5.6-3.3.1
  • xmltooling >= 1.5.6-3.3.1
  • xmltooling-debugsource >= 1.5.6-3.3.1
  • xmltooling-schemas >= 1.5.6-3.3.1
Patchnames:
openSUSE-2018-65
openSUSE Leap 42.3
  • libxmltooling-devel >= 1.5.6-9.1
  • libxmltooling6 >= 1.5.6-9.1
  • libxmltooling6-debuginfo >= 1.5.6-9.1
  • xmltooling >= 1.5.6-9.1
  • xmltooling-debugsource >= 1.5.6-9.1
  • xmltooling-schemas >= 1.5.6-9.1
Patchnames:
openSUSE-2018-276
openSUSE-2018-65


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 12 SP2 xmltooling Released
SUSE Linux Enterprise SDK 12 SP3 xmltooling Released
SUSE Linux Enterprise Server 12 SP1 LTSS xmltooling Affected
SUSE Linux Enterprise Server 12 SP2 xmltooling Released
SUSE Linux Enterprise Server 12 SP3 xmltooling Released